"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const find_up_1 = __importDefault(require("find-up"));
const path_1 = __importDefault(require("path"));
const modules_checker_1 = require("./modules-checker");
function checkModules({ path: userPath, checkAllNodeModules = false, ignoreBabelAndWebpackPackages = true }) {
    const dir = userPath || path_1.default.dirname(find_up_1.default.sync('package.json'));
    const checker = new modules_checker_1.ModulesChecker(dir, {
        checkAllNodeModules,
        ignoreBabelAndWebpackPackages,
        logEs5Packages: false,
        silent: true
    });
    return checker.checkModules();
}
exports.checkModules = checkModules;
var babel_loader_regex_builder_1 = require("./babel-loader-regex-builder");
exports.buildExcludeRegexp = babel_loader_regex_builder_1.buildExcludeRegexp;
exports.buildIncludeRegexp = babel_loader_regex_builder_1.buildIncludeRegexp;
//# sourceMappingURL=index.js.map