import IModuleCheckerConfig from './types/module-checker-config';
import IModuleCheckerResult from './types/module-checker-result';
export declare class ModulesChecker {
    readonly dir: string;
    readonly config: IModuleCheckerConfig;
    static readonly defaultConfig: IModuleCheckerConfig;
    private logger;
    constructor(dir: string, config?: IModuleCheckerConfig);
    checkModules(): IModuleCheckerResult;
    parseDeps(): {
        es5Modules: string[];
        es6Modules: string[];
        ignored: string[];
    };
    getDeps(): string[] | null;
    isScriptEs5(scriptPath: string, dependencyName: string): boolean;
    private dependenciesWithoutBabelAndWebpackPages;
    private getDepsFromRootPackageJson;
    private getAllNodeModules;
}
